## org.biojava.bio.gui.glyph
Class RectangleGlyph

    java.lang.Object
      org.biojava.bio.gui.glyph.RectangleGlyph

All Implemented Interfaces:
  Glyph

    public class RectangleGlyph

extends java.lang.Object
implements Glyph

A Glyph that paints a rectangle shape within the bounds.

Since:
  1.5
Author:
  Mark Southern

Constructor Summary
`RectangleGlyph()`
`RectangleGlyph(java.awt.Paint paint)`
`RectangleGlyph(java.awt.geom.Rectangle2D.Float bounds)`

Method Summary
`java.awt.geom.Rectangle2D.Float` `getBounds()`
`void` `render(java.awt.Graphics2D g)`
`void` `setBounds(java.awt.geom.Rectangle2D.Float r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RectangleGlyph

    public RectangleGlyph()

### RectangleGlyph

    public RectangleGlyph(java.awt.geom.Rectangle2D.Float bounds)

### RectangleGlyph

    public RectangleGlyph(java.awt.Paint paint)

Method Detail

### getBounds

    public java.awt.geom.Rectangle2D.Float getBounds()

  Specified by:
    `getBounds` in interface `Glyph`

### setBounds

    public void setBounds(java.awt.geom.Rectangle2D.Float r)

  Specified by:
    `setBounds` in interface `Glyph`

### render

    public void render(java.awt.Graphics2D g)

  Specified by:
    `render` in interface `Glyph`